Subject: Re: linux-next: Tree for Mar 16 (drivers/soc/qcom/)

From: Bjorn Andersson <[email-masked]>
Date: Mon, 16 Mar 2020 15:10:32 -0700

On Mon 16 Mar 10:34 PDT 2020, Randy Dunlap wrote:

> On 3/16/20 12:30 AM, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Changes since 20200313:
> > 
> 
> on i386 or x86_64:
> 
> WARNING: unmet direct dependencies detected for QCOM_QMI_HELPERS
>   Depends on [n]: NET [=n]
>   Selected by [y]:
>   - QCOM_PDR_HELPERS [=y]
> 
> causing:
> 
> ld: drivers/soc/qcom/qmi_interface.o: in function `qmi_send_new_lookup':
> qmi_interface.c:(.text+0xd3): undefined reference to `kernel_sendmsg'
> ld: drivers/soc/qcom/qmi_interface.o: in function `qmi_send_new_server':
> qmi_interface.c:(.text+0x1b6): undefined reference to `kernel_sendmsg'
> ld: drivers/soc/qcom/qmi_interface.o: in function `qmi_sock_create':
> qmi_interface.c:(.text+0x2f2): undefined reference to `init_net'
> ld: qmi_interface.c:(.text+0x2f9): undefined reference to `sock_create_kern'
> ld: qmi_interface.c:(.text+0x319): undefined reference to `kernel_getsockname'
> ld: qmi_interface.c:(.text+0x33e): undefined reference to `sock_release'
> ld: drivers/soc/qcom/qmi_interface.o: in function `qmi_send_message.isra.4':
> qmi_interface.c:(.text+0x45f): undefined reference to `kernel_sendmsg'
> ld: drivers/soc/qcom/qmi_interface.o: in function `qmi_data_ready_work':
> qmi_interface.c:(.text+0x7dc): undefined reference to `kernel_recvmsg'
> ld: qmi_interface.c:(.text+0x877): undefined reference to `sock_release'
> ld: drivers/soc/qcom/qmi_interface.o: in function `qmi_handle_release':
> qmi_interface.c:(.text+0x1018): undefined reference to `sock_release'
> 
> 
> 
> 
> All caused by QCOM_APR, which selects QCOM_PDR_HELPERS,
> and that one selects QCOM_QMI_HELPERS, which depends on NET, but:
> # CONFIG_NET is not set
> 
> Full randconfig file is attached.
> 
> -- 
> ~Randy
> Reported-by: Randy Dunlap <[email-masked]>

Thanks Randy, I've added the necessary dependency for QCOM_APR.

Regards,
Bjorn